2016-12-09 13:34 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000822OpenFOAM[All Projects] Bugpublic2013-05-13 17:30
Reporterhakostra 
Assigned Touser2 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000822: Error in definition of lift force on Lagrangian particle
DescriptionIn src/lagrangian/intermediate/submodels/Kinematic/ParticleForces/Lift/LiftForce/LiftForce.C, line 144, the lift force on a discrete, Lagrangian particle is defined as:

value.Su() = mass/p.rho()*p.d()/2.0*p.rhoc()*Cl*((p.Uc() - p.U())^curlUc);

This cannot be correct, for two reasons. The first is that the units/dimensions of the expression is wrong. If I apply the standard SI units to the respective physical quantities, I get that the force gets units of kg*m^2/s^2, witch does not correspond to the (correct) dimension of force, that is mass times acceleration, with units kg*m/s^2.

The second reason for this being incorrect, is that other sources, for example the paper "Transverse migration of single bubbles in simple shear flows" by Tomiyama et.al. (DOI: http://dx.doi.org/10.1016/S0009-2509(02)00085-4) clearly define the lift coefficient differently. I think the following definition from Tomiyama is what you have tried to use:

F_L = - C_L*rho_c*pi*d^3/6*(V-U)^(curl(U))

where rho_c is the fluid/carrying phase density, V is the particle/bubble velocity and U is the fluid velocity. If I take your definition in LiftForce.C, and manipulate it a little bit, using that mass/p.rho() = volume = (4/3)*pi*(d/2)^3, I get that you actually have implemented:

F_L = C_L*rho_c*pi*d^4/6*(U-V)^(curl(U))

and see that the expression is multiplied with one diameter "extra". In many cases, where the diameter is small (d<<1), this will lead to vanishingly small lift forces.

My conclusion is that the following must be the correct expression for particle lift force:

value.Su() = mass/p.rho()*p.rhoc()/2*Cl*((p.Uc() - p.U())^curlUc);

This will give the correct dimension of force = mass * acceleration
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002193

user2

Thanks for the report - fixed by commit 57ab9bc
+Notes

-Issue History
Date Modified Username Field Change
2013-04-22 08:27 hakostra New Issue
2013-05-13 17:30 user2 Note Added: 0002193
2013-05-13 17:30 user2 Status new => resolved
2013-05-13 17:30 user2 Fixed in Version => 2.2.x
2013-05-13 17:30 user2 Resolution open => fixed
2013-05-13 17:30 user2 Assigned To => user2
+Issue History